summaryrefslogtreecommitdiffstats
path: root/common.sh
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-03-28 04:18:23 -0400
committerMatthewLi <matthew.lijun@huawei.com>2016-03-28 04:18:23 -0400
commit3c0f6d5ced2474240fa14f5594b84c527767edca (patch)
treea0c6c705582952d573c3f22f25c4e92b5dacd242 /common.sh
parentf84c8dcc22f1499128893e62b0e15b4b592c47ba (diff)
improvement: rubbos test suite running workflow
JIRA: BOTTLENECK-46 1)add .py file for test suite running entrance and .yaml config files 2)adjust the project test running scripts to top directory Change-Id: Iad9eedf704e85a8c7e974310938a7d652d008469 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'common.sh')
-rwxr-xr-xcommon.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/common.sh b/common.sh
new file mode 100755
index 00000000..16966320
--- /dev/null
+++ b/common.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+mkdir -p /home/opnfv/bottlenecks/config
+config_file=/home/opnfv/bottlenecks/config/bottlenecks_cfg.yaml
+
+if [ ! -f ${config_file} ]; then
+ default_config_file=$(find /home/opnfv/repos -name bottlenecks_cfg.yaml)
+ cp $default_config_file $config_file
+ echo "bottlenecks_cfg.yaml not provided. Using default one"
+fi
+
+SUITE_PREFIX_CONFIG=$(cat $config_file | grep -w suite_prefix_config | awk 'END {print $NF}')
+
+info () {
+ logger -s -t "bottlenecks.info" "$*"
+}
+
+error () {
+ logger -s -t "bottlenecks.error" "$*"
+ exit 1
+}